Subject: bug#17742: Acknowledgement (Support for enchant?)

From: Reuben Thomas <[email-masked]>
Date: Thu, 15 Dec 2016 12:36:38 +0000

On 14 December 2016 at 15:42, Eli Zaretskii <[email-masked]> wrote:

> > From: Reuben Thomas <[email-masked]>
> > Date: Tue, 13 Dec 2016 21:17:25 +0000
> > Cc: [email-masked]
> >
> >  I'm okay with installing this, provided that the above-mentioned issue
> >  is taken care of, if only by leaving it to the user to provide the
> >  dictionary entries by hand. I don't think it's a good idea to
> >  auto-generate entries that are only 80% correct, as that will
> >  certainly trigger bug reports.
> >
> > ​Agreed. I have prepared a separate patch (so it can be easily reverted
> later) to disable the use of
> > ispell-find-enchant-dictionaries, along with a rationale in comments.
> >
> > If that is satisfactory, I can add NEWS documentation for the new
> feature, along with a warning about its
> > limitations, and install the patches.
>
> OK, I guess.  Maybe add in a comment an example of setting up Enchant
> for some language, in case users may find that helpful.
>

​I'll bear that in mind, but it occurs to me that since the code relies on
an unreleased version of Enchant, there is little to be gained by
installing it until the release is made, and better to wait, in case I have
to change anything. So I'll keep this bug open and not install the patch
for now.

-- 
http://rrt.sc3d.org